# Synthetic tools

> Source: https://elaichi.ai/docs/api-reference/synthetic-tools/

Base URL: `https://api.truto.one/unified/`

Set the `integrated_account_id` query parameter on every request to scope it to a specific connection.

## Resources

- [Synthetic Tool](/docs/api-reference/synthetic-tools/synthetic-tool)
  - [GET /synthetic-tool](/docs/api-reference/synthetic-tools/synthetic-tool/listsynthetictools) — List synthetic tools
  - [POST /synthetic-tool](/docs/api-reference/synthetic-tools/synthetic-tool/createsynthetictool) — Create a synthetic tool
  - [GET /synthetic-tool/{id}](/docs/api-reference/synthetic-tools/synthetic-tool/getsynthetictool) — Get a synthetic tool
  - [PATCH /synthetic-tool/{id}](/docs/api-reference/synthetic-tools/synthetic-tool/updatesynthetictool) — Update a synthetic tool
  - [DELETE /synthetic-tool/{id}](/docs/api-reference/synthetic-tools/synthetic-tool/deletesynthetictool) — Delete a synthetic tool
  - [POST /synthetic-tool/{id}/execute](/docs/api-reference/synthetic-tools/synthetic-tool/executesynthetictool) — Execute a synthetic tool
